using System;
using System.Collections.Generic;

using Do.Universe;

namespace Parola
{
	public class ParolaItem : Item
	{
		protected int account_id;
		protected string username, account_name, password;

		public override string Name
		{
			get { return username; }
		}

		public override string Description
		{
			get { return account_name; }
		}

		public int AccountId
		{
			get { return account_id; }
		}

		public string Password
		{
			get { return password; }
		}

		public override string Icon {
			get { return "www"; }
		}

		public ParolaItem(int account_id, string username, string account_name, string password)
		{
			this.account_id = account_id;
			this.username = username;
			this.account_name = account_name;
			this.password = password;
		}
	}
}

